/shorts.v1alpha1.StockService/GetEventTimelineGetEventTimeline
Get a chronological feed of events for a stock (announcements, director trades, news, short spikes)
Parameters
Define the version of the Connect protocol
Define the timeout, in ms
Request Body
Request for GetEventTimeline RPC
number of days to look back (default 90) (proto int32)
max events to return (default 50) (proto int32)
(proto string)
Responses
Response for GetEventTimeline RPC
(proto shorts.v1alpha1.TimelineEvent)
A single event in the stock's timeline
Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A list of messages that carry the error details. There is no limit on the number of messages.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message, with an additional debug field for ConnectRPC error details.
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetEventTimeline" \
-H "Content-Type: application/json" \
-d '{
"daysBack": 0,
"limit": 0,
"stockCode": "string"
}'curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.StockService/GetEventTimeline" \
-H "Content-Type: application/json" \
-d '{
"daysBack": 0,
"limit": 0,
"stockCode": "string"
}'